﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataChartServiceReportsCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void ColumnSeries_AssigningCategoryStyle(object sender, Infragistics.Controls.Charts.AssigningCategoryStyleEventArgs args)
        {
            SampleData sd = args.GetItems(args.StartIndex, args.EndIndex).FirstOrDefault() as SampleData;   

            if(sd != null)
            {
                string str = sd.ServiceName;

                if (str.Contains("1"))
                {
                    args.Fill = Brushes.Red;
                }
                else if (str.Contains("2"))
                {
                    args.Fill = Brushes.Blue;
                }
                else if (str.Contains("3"))
                {
                    args.Fill = Brushes.Green;
                }
                else
                {
                    args.Fill = Brushes.DarkMagenta;
                }
            }
        }
    }
}
