﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartServiceReportsCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 1; i < 5; i++)
            {
                SampleData sd = new SampleData() { ServiceName = "Service " + i.ToString() };
                sd.ReportName = sd.ServiceName + "Report " + i.ToString();

                if (i == 1)
                {
                    sd.Report1Density = r.Next(1, 10);
                    sd.Report2Density = 0;
                    sd.Report3Density = 0;
                }
                else if (i == 2)
                {
                    sd.Report1Density = 0;
                    sd.Report2Density = r.Next(1, 10);
                    sd.Report3Density = 0;
                }
                else if (i == 3)
                {
                    sd.Report1Density = r.Next(1, 10);
                    sd.Report2Density = r.Next(1, 10);
                    sd.Report3Density = r.Next(1, 10); 
                }
                else
                {
                    sd.Report1Density = r.Next(1, 10);
                    sd.Report2Density = r.Next(1, 10);
                    sd.Report3Density = 0;
                }

                Data.Add(sd);
            }
        }
    }

    public class SampleData
    {
        public string ServiceName { get; set; }
        public string ReportName { get; set; }
        public int Report1Density { get; set; }
        public int Report2Density { get; set; }
        public int Report3Density { get; set; }
    }
}
